package main

import (
	"os"

	"golang.org/x/exp/slog"
)

func main() {
	err := run()
	if err != nil {
		l := slog.New(slog.NewJSONHandler(os.Stderr))
		l.Error("unrecoverable failure, stopping the app", "error", err)
		os.Exit(1)
	}
}
