package handlers

import (
	"io/fs"

	"git.dotya.ml/mirre-mt/pcmt/app/settings"
	"git.dotya.ml/mirre-mt/pcmt/slogging"
)

var (
	setting  *settings.Settings
	appver   string
	log      *slogging.Logger
	tmplPath string
)

func InitHandlers(s *settings.Settings, tmpls fs.FS) {
	log = slogging.GetLogger()

	setting = s

	tmplPath = setting.TemplatesPath()

	appver = setting.Version()

	log.Debugf("tmpls: %+v", tmpls)

	initTemplates(tmpls)
}
